context_data_t Struct Reference

XML context. More...

`#include <xmlutils.h>`

## Data Fields

GSList * | first
| The very first entity. More...
GSList * | current
| The element currently being parsed. More...
gboolean | done
| Flag which is true when the first element is closed. More...

## Detailed Description

XML context.

This structure is used to pass data between XML event handlers and the caller of the XML parser.

## Field Documentation

## current

GSList* context_data_t::current

The element currently being parsed.

## done

gboolean context_data_t::done

Flag which is true when the first element is closed.

## first

GSList* context_data_t::first

The very first entity.

The documentation for this struct was generated from the following file:

- util/xmlutils.h